petsc-3.7.1 2016-05-15
Report Typos and Errors

# PETSC_DRAW_X

PETSc graphics device that uses either X windows or its virtual version Xvfb

### Options Database Keys

| -display <display> | - sets the display to use Many br
| -x_virtual | - forces use of a X virtual display Xvfb that will not display anything but -draw_save will still work. Many brXvfb is automatically started up in PetscSetDisplay() with this option Many br
| -draw_size w,h | - percentage of screeen (either 1, .5, .3, .25), or size in pixels Many br
| -geometry x,y,w,h | - set location and size in pixels Many br
| -draw_virtual | - do not open a window (draw on a pixmap), -draw_save will still work Many br
| -draw_double_buffer | - avoid window flickering (draw on pixmap and flush to window) Many br

Many br

### See Also

PetscDrawOpenX(), PetscDrawSetDisplay(), PetscDrawSetFromOptions()

Level:beginner
Location:src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages